import { __rest } from "tslib";
// Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
// SPDX-License-Identifier: Apache-2.0
import React from 'react';
import useBaseComponent from '../internal/hooks/use-base-component';
import { applyDisplayName } from '../internal/utils/apply-display-name';
import { getExternalProps } from '../internal/utils/external-props';
import InternalCopyToClipboard from './internal';
export default function CopyToClipboard(_a) {
    var { variant = 'button', popoverRenderWithPortal = false } = _a, restProps = __rest(_a, ["variant", "popoverRenderWithPortal"]);
    const baseProps = useBaseComponent('CopyToClipboard', {
        props: { variant },
    });
    const filteredProps = getExternalProps(restProps);
    return (React.createElement(InternalCopyToClipboard, Object.assign({ variant: variant, popoverRenderWithPortal: popoverRenderWithPortal }, baseProps, filteredProps)));
}
applyDisplayName(CopyToClipboard, 'CopyToClipboard');
//# sourceMappingURL=index.js.map