export declare class HighlightType {
  type: 'keyboard' | 'mouse';
  moveFocus: boolean;
  constructor(type: 'keyboard' | 'mouse', moveFocus?: boolean);
}
interface HighlightedOptionProps<OptionType> {
  options: readonly OptionType[];
  isHighlightable: (option: OptionType) => boolean;
}
export interface HighlightedOptionState<OptionType> {
  highlightType: HighlightType;
  highlightedIndex: number;
  highlightedOption?: OptionType;
}
export interface HighlightedOptionHandlers<OptionType> {
  setHighlightedIndexWithMouse(index: number, moveFocus?: boolean): void;
  highlightFirstOptionWithMouse(): void;
  moveHighlightWithKeyboard(direction: -1 | 1): void;
  highlightOptionWithKeyboard(option: OptionType): void;
  resetHighlightWithKeyboard(): void;
  goHomeWithKeyboard(): void;
  goEndWithKeyboard(): void;
}
export declare function useHighlightedOption<OptionType>({
  options,
  isHighlightable
}: HighlightedOptionProps<OptionType>): [HighlightedOptionState<OptionType>, HighlightedOptionHandlers<OptionType>];
export {};