/// <reference types="react" />
import { JSONObject } from '../../analytics/interfaces';
export interface UseTableInteractionMetricsProps<T> {
  elementRef: React.RefObject<HTMLElement>;
  instanceIdentifier: string | undefined;
  loading: boolean | undefined;
  items: readonly T[];
  itemCount: number;
  getComponentIdentifier: () => string | undefined;
  getComponentConfiguration: () => JSONObject;
  interactionMetadata: () => string;
}
export declare function useTableInteractionMetrics<T>({
  elementRef,
  items,
  itemCount,
  instanceIdentifier,
  getComponentIdentifier,
  getComponentConfiguration,
  loading,
  interactionMetadata
}: UseTableInteractionMetricsProps<T>): {
  tableInteractionAttributes: {
    [x: string]: string | undefined;
  };
  setLastUserAction: (name: string) => undefined;
};