/// <reference types="react" />
import { ChartScale, NumericChartScale } from '../internal/components/cartesian-chart/scales';
import { ChartDataTypes, MixedLineBarChartProps } from './interfaces';
import { StackedBarValues } from './utils';
interface BarSeriesProps<T> {
  axis: 'x' | 'y';
  series: MixedLineBarChartProps.BarDataSeries<T>;
  color: string;
  totalSeriesCount: number;
  seriesIndex: number;
  xScale: ChartScale;
  yScale: NumericChartScale;
  plotSize: number;
  chartAreaClipPath: string;
  highlighted: boolean;
  dimmed: boolean;
  highlightedGroupIndex: number | null;
  stackedBarValues?: StackedBarValues;
  isRtl?: boolean;
}
export default function BarSeries<T extends ChartDataTypes>({
  axis,
  series,
  color,
  xScale,
  yScale,
  highlighted,
  dimmed,
  highlightedGroupIndex,
  totalSeriesCount,
  seriesIndex,
  plotSize,
  chartAreaClipPath,
  stackedBarValues,
  isRtl
}: BarSeriesProps<T>): JSX.Element;
export {};