import { __rest } from "tslib";
// Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
// SPDX-License-Identifier: Apache-2.0
import React from 'react';
import useBaseComponent from '../internal/hooks/use-base-component';
import { applyDisplayName } from '../internal/utils/apply-display-name';
import InternalSlider from './internal';
export default function Slider(_a) {
    var { tickMarks, hideFillLine } = _a, props = __rest(_a, ["tickMarks", "hideFillLine"]);
    const baseComponentProps = useBaseComponent('Slider', {
        props: { tickMarks, hideFillLine, readOnly: props.readOnly },
    });
    return React.createElement(InternalSlider, Object.assign({ tickMarks: tickMarks, hideFillLine: hideFillLine }, props, baseComponentProps));
}
applyDisplayName(Slider, 'Slider');
//# sourceMappingURL=index.js.map