import { __rest } from "tslib";
// Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
// SPDX-License-Identifier: Apache-2.0
import React from 'react';
import clsx from 'clsx';
import StatusIndicator from '../status-indicator/internal';
import styles from './styles.css.js';
const InternalStep = ({ status, statusIconAriaLabel, header, details }) => {
    return (React.createElement("li", { className: styles.container },
        React.createElement("div", { className: styles.header },
            React.createElement(StatusIndicator, { type: status, iconAriaLabel: statusIconAriaLabel }, header)),
        React.createElement("hr", { className: styles.connector, role: "none" }),
        details && React.createElement("div", { className: styles.details }, details)));
};
const InternalSteps = (_a) => {
    var { steps, ariaLabel, ariaLabelledby, ariaDescribedby, __internalRootRef } = _a, props = __rest(_a, ["steps", "ariaLabel", "ariaLabelledby", "ariaDescribedby", "__internalRootRef"]);
    return (React.createElement("div", Object.assign({}, props, { className: clsx(styles.root, props.className), ref: __internalRootRef }),
        React.createElement("ol", { className: styles.list, "aria-label": ariaLabel, "aria-labelledby": ariaLabelledby, "aria-describedby": ariaDescribedby }, steps.map((step, index) => (React.createElement(InternalStep, { key: index, status: step.status, statusIconAriaLabel: step.statusIconAriaLabel, header: step.header, details: step.details }))))));
};
export default InternalSteps;
//# sourceMappingURL=internal.js.map