"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
// Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
// SPDX-License-Identifier: Apache-2.0
const dom_1 = require("@awsui/test-utils-core/dom");
const button_1 = require("../button");
const styles_selectors_js_1 = require("../../../internal/components/chart-popover/styles.selectors.js");
const styles_selectors_js_2 = require("../../../internal/components/chart-popover/test-classes/styles.selectors.js");
const styles_selectors_js_3 = require("../../../popover/styles.selectors.js");
class ChartTooltipWrapper extends dom_1.ComponentWrapper {
    findHeader() {
        return this.findByClassName(styles_selectors_js_2.default.header);
    }
    findBody() {
        return this.findByClassName(styles_selectors_js_2.default.body);
    }
    findFooter() {
        return this.findByClassName(styles_selectors_js_2.default.footer);
    }
    findDismissButton() {
        return this.findComponent(`.${styles_selectors_js_3.default['dismiss-control']}`, button_1.default);
    }
}
exports.default = ChartTooltipWrapper;
ChartTooltipWrapper.rootSelector = styles_selectors_js_1.default.root;
//# sourceMappingURL=chart-tooltip.js.map