import { ComponentWrapper, ElementWrapper } from "@awsui/test-utils-core/selectors";
import TextFilterWrapper from '../text-filter';
import ToggleWrapper from '../toggle';
export declare class ContentDisplayOptionWrapper extends ComponentWrapper {
  private getListItem;
  /**
   * Returns the drag handle for the option item.
   */
  findDragHandle(): ElementWrapper;
  /**
   * Returns the text label displayed in the option item.
   */
  findLabel(): ElementWrapper;
  /**
   * Returns the visibility toggle for the option item.
   */
  findVisibilityToggle(): ToggleWrapper;
}
export default class ContentDisplayPreferenceWrapper extends ComponentWrapper {
  static rootSelector: string;
  /**
   * Returns the title.
   */
  findTitle(): ElementWrapper;
  /**
   * Returns the preference description displayed below the title.
   */
  findDescription(): ElementWrapper;
  private getList;
  /**
   * Returns an option for a given index.
   *
   * @param index 1-based index of the option to return.
   */
  findOptionByIndex(index: number): ContentDisplayOptionWrapper;
  /**
   * Returns options that the user can reorder.
   */
  findOptions(): import("@awsui/test-utils-core/selectors").MultiElementWrapper<ContentDisplayOptionWrapper>;
  /**
   * Returns the text filter input.
   */
  findTextFilter(): TextFilterWrapper;
  /**
   * Returns no match with the clear filter button.
   */
  findNoMatch(): ElementWrapper;
}