import { ComponentWrapper, ElementWrapper } from "@awsui/test-utils-core/selectors";
import AutosuggestWrapper from '../autosuggest';
import ButtonWrapper from '../button';
import ButtonDropdownWrapper from '../button-dropdown';
import FormFieldWrapper from '../form-field';
import SelectWrapper from '../select';
export default class PropertyFilterWrapper extends AutosuggestWrapper {
  static rootSelector: string;
  findResultsCount(): ElementWrapper;
  findTokens(): import("@awsui/test-utils-core/selectors").MultiElementWrapper<FilteringTokenWrapper>;
  /**
   * Returns the button that toggles if the tokens above `tokenLimit` are visible.
   */
  findTokenToggle(): ElementWrapper;
  /**
   * Returns the button that removes all current tokens.
   */
  findRemoveAllButton(): ElementWrapper;
  /**
   * Returns the element containing the `customControl` slot.
   */
  findCustomControl(): ElementWrapper;
  /**
   * Returns the element containing the `customFilterActions` slot.
   */
  findCustomFilterActions(): ElementWrapper;
  /**
   * Returns the element containing the `filteringConstraintText` slot.
   */
  findConstraint(): ElementWrapper;
  /**
   * Returns custom property form cancel button.
   *
   * @param options
   * * expandToViewport (boolean) - Use this when the component under test is rendered with an `expandToViewport` flag.
   */
  findPropertyCancelButton(options?: {
    expandToViewport: boolean;
  }): ButtonWrapper;
  /**
   * Returns custom property form submit button.
   *
   * @param options
   * * expandToViewport (boolean) - Use this when the component under test is rendered with an `expandToViewport` flag.
   */
  findPropertySubmitButton(options?: {
    expandToViewport: boolean;
  }): ButtonWrapper;
}
export declare class FilteringTokenWrapper extends ComponentWrapper {
  static rootSelector: string;
  findLabel(): ElementWrapper;
  findRemoveButton(): ElementWrapper;
  findTokenOperation(): SelectWrapper;
  /**
   * Returns dropdown content of editing token if opened or `null` otherwise.
   */
  findEditorDropdown(options?: {
    expandToViewport: boolean;
  }): PropertyFilterEditorDropdownWrapper | null;
  findEditButton(): ElementWrapper;
  findGroupTokens(): import("@awsui/test-utils-core/selectors").MultiElementWrapper<FilteringGroupedTokenWrapper>;
}
export declare class PropertyFilterEditorDropdownWrapper extends ComponentWrapper {
  findHeader(): ElementWrapper;
  findDismissButton(): ButtonWrapper;
  findForm(): ElementWrapper;
  findPropertyField(index?: number): FormFieldWrapper;
  findOperatorField(index?: number): FormFieldWrapper;
  findValueField(index?: number): FormFieldWrapper;
  findTokenRemoveActions(index?: number): ButtonDropdownWrapper | null;
  findTokenAddActions(): ButtonDropdownWrapper | null;
  findCancelButton(): ButtonWrapper;
  findSubmitButton(): ButtonWrapper;
}
export declare class FilteringGroupedTokenWrapper extends ComponentWrapper {
  static rootSelector: string;
  findLabel(): ElementWrapper;
  findRemoveButton(): ElementWrapper;
  findTokenOperation(): SelectWrapper;
}